import { ArrayBackend } from "./array";
import { URLBackend } from "./url";
import { DuckDBBackend } from "./duckdb";
import { ClientDiffTreeBackend } from "./clientdt";
import { IdentityBackend } from "./identity";
import { RandomBackend } from "./random";
import type { BackendSpec } from "./spec";
import type { DTType, DiffTreeSpec } from "./dtspec";
import { QueryBackend } from "./query";
import { OverlayBackend } from "./overlay";
export { ArrayBackend, URLBackend, DuckDBBackend, ClientDiffTreeBackend, IdentityBackend, RandomBackend, QueryBackend, OverlayBackend };
export type { BackendSpec, DTType, DiffTreeSpec };
export declare class BackendLibrary extends Map {
    get backends(): any;
    createBackends(specs: any): void;
    createBackend(spec: BackendSpec): any;
}
