import * as R from "ramda";
import { Backend } from "../backend/backend";
export class OverlayBackend extends Backend {
    overlays;
    constructor() {
        super();
        this.overlays = {};
    }
    async execute(q, name) {
        this.overlays = R.mergeRight(this.overlays, q);
        this.emit("data", this.overlays, "overlay");
    }
}
