interface Manipulable {
    addSourceIact: Function;
}
interface Executable {
    execute: Function;
}
export interface InteractionSpec {
    id: number | string;
    source: number | string | Manipulable;
    target: number | string | Executable;
    m?: {
        type: string;
        space?: string;
    };
    postprocess?: Function;
    h?: any;
}
export declare const InteractionSpec: undefined;
export declare function isExecutable(o: any): o is Executable;
export declare function isManipulable(o: any): o is Manipulable;
export {};
