/** @typedef {typeof __propDef.props}  RefProps */
/** @typedef {typeof __propDef.events}  RefEvents */
/** @typedef {typeof __propDef.slots}  RefSlots */
export default class Ref extends SvelteComponentTyped<{
    spec?: LayoutSpec | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type RefProps = typeof __propDef.props;
export type RefEvents = typeof __propDef.events;
export type RefSlots = typeof __propDef.slots;
import { LayoutSpec } from "./spec";
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        spec?: LayoutSpec | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
