/** @typedef {typeof __propDef.props}  VLayoutProps */
/** @typedef {typeof __propDef.events}  VLayoutEvents */
/** @typedef {typeof __propDef.slots}  VLayoutSlots */
export default class VLayout extends SvelteComponentTyped<{
    spec: LayoutSpec;
    state?: {} | undefined;
}, {
    state: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type VLayoutProps = typeof __propDef.props;
export type VLayoutEvents = typeof __propDef.events;
export type VLayoutSlots = typeof __propDef.slots;
import { LayoutSpec } from "./spec";
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        spec: LayoutSpec;
        state?: {} | undefined;
    };
    events: {
        state: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
