/** @typedef {typeof __propDef.props}  HLayoutProps */
/** @typedef {typeof __propDef.events}  HLayoutEvents */
/** @typedef {typeof __propDef.slots}  HLayoutSlots */
export default class HLayout extends SvelteComponentTyped<{
    spec: LayoutSpec;
    state?: {} | undefined;
}, {
    state: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type HLayoutProps = typeof __propDef.props;
export type HLayoutEvents = typeof __propDef.events;
export type HLayoutSlots = typeof __propDef.slots;
import { LayoutSpec } from "./spec";
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        spec: LayoutSpec;
        state?: {} | undefined;
    };
    events: {
        state: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
