import { SvelteComponentTyped } from "svelte";
import { ViewSpec } from "./spec";
declare const __propDef: {
    props: {
        spec?: ViewSpec | undefined;
        render?: ((newTable: any) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type DebugProps = typeof __propDef.props;
export declare type DebugEvents = typeof __propDef.events;
export declare type DebugSlots = typeof __propDef.slots;
export default class Debug extends SvelteComponentTyped<DebugProps, DebugEvents, DebugSlots> {
    get render(): (newTable: any) => void;
    get spec(): ViewSpec | undefined;
    /**accessor*/
    set spec(_: ViewSpec | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
