import { SvelteComponentTyped } from "svelte";
import { ViewSpec } from "./spec";
import 'nouislider/dist/nouislider.css';
declare const __propDef: {
    props: {
        spec?: ViewSpec | undefined;
        render?: (() => void) | undefined;
        addSourceIact?: ((iact: any) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type DoubleRangeProps = typeof __propDef.props;
export declare type DoubleRangeEvents = typeof __propDef.events;
export declare type DoubleRangeSlots = typeof __propDef.slots;
export default class DoubleRange extends SvelteComponentTyped<DoubleRangeProps, DoubleRangeEvents, DoubleRangeSlots> {
    get render(): () => void;
    get addSourceIact(): (iact: any) => void;
    get spec(): ViewSpec | undefined;
    /**accessor*/
    set spec(_: ViewSpec | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
