import { SvelteComponentTyped } from "svelte";
import type { ViewSpec } from "./spec";
declare const __propDef: {
    props: {
        spec?: ViewSpec | undefined;
        render?: ((newTable: any) => void) | undefined;
        addSourceIact?: ((iact: any) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type RadioProps = typeof __propDef.props;
export declare type RadioEvents = typeof __propDef.events;
export declare type RadioSlots = typeof __propDef.slots;
export default class Radio extends SvelteComponentTyped<RadioProps, RadioEvents, RadioSlots> {
    get render(): (newTable: any) => void;
    get addSourceIact(): (iact: any) => void;
    get spec(): ViewSpec | undefined;
    /**accessor*/
    set spec(_: ViewSpec | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
