import { SvelteComponentTyped } from "svelte";
import type { ViewSpec } from "./spec";
declare const __propDef: {
    props: {
        spec?: ViewSpec | undefined;
        table?: any[] | undefined;
        render?: ((newTable: any) => void) | undefined;
        addSourceIact?: ((iact: any) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type TableProps = typeof __propDef.props;
export declare type TableEvents = typeof __propDef.events;
export declare type TableSlots = typeof __propDef.slots;
export default class Table extends SvelteComponentTyped<TableProps, TableEvents, TableSlots> {
    get render(): (newTable: any) => void;
    get addSourceIact(): (iact: any) => void;
    get spec(): ViewSpec | undefined;
    /**accessor*/
    set spec(_: ViewSpec | undefined);
    get table(): any[] | undefined;
    /**accessor*/
    set table(_: any[] | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
