import { SvelteComponentTyped } from "svelte";
import type { ViewSpec } from "./spec";
declare const __propDef: {
    props: {
        spec?: ViewSpec | undefined;
        table?: import("svelte/store").Writable<{
            value: string;
        }[]> | undefined;
        render?: ((newTable: any) => void) | undefined;
        addSourceIact?: ((iact: any) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type TextboxProps = typeof __propDef.props;
export declare type TextboxEvents = typeof __propDef.events;
export declare type TextboxSlots = typeof __propDef.slots;
export default class Textbox extends SvelteComponentTyped<TextboxProps, TextboxEvents, TextboxSlots> {
    get render(): (newTable: any) => void;
    get addSourceIact(): (iact: any) => void;
    get spec(): ViewSpec | undefined;
    /**accessor*/
    set spec(_: ViewSpec | undefined);
    get table(): import("svelte/store").Writable<{
        value: string;
    }[]> | undefined;
    /**accessor*/
    set table(_: import("svelte/store").Writable<{
        value: string;
    }[]> | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
