import { SvelteComponentTyped } from "svelte";
import type { ViewSpec } from "./spec";
declare const __propDef: {
    props: {
        spec: ViewSpec;
        addSourceIact?: ((iact: any) => void) | undefined;
        render?: ((newTable: any) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type ToggleProps = typeof __propDef.props;
export declare type ToggleEvents = typeof __propDef.events;
export declare type ToggleSlots = typeof __propDef.slots;
export default class Toggle extends SvelteComponentTyped<ToggleProps, ToggleEvents, ToggleSlots> {
    get addSourceIact(): (iact: any) => void;
    get render(): (newTable: any) => void;
    get spec(): ViewSpec;
    /**accessor*/
    set spec(_: ViewSpec);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
