import Dropdown from "./Dropdown.svelte";
import Radio from "./Radio.svelte";
import Range from "./Range.svelte";
import DoubleRange from "./DoubleRange.svelte";
import Textbox from "./Textbox.svelte";
import Toggle from "./Toggle.svelte";
import Debug from "./Debug.svelte";
import Table from "./Table.svelte";
import Point from "./Point.svelte";
import * as vega from "./vega";
import { ViewSpec } from "./spec";
import * as util from "./util";
export declare let componentTypes: {
    Dropdown: typeof Dropdown;
    Toggle: typeof Toggle;
    Range: typeof Range;
    DoubleRange: typeof DoubleRange;
    Textbox: typeof Textbox;
    Table: typeof Table;
    Radio: typeof Radio;
    Point: typeof Point;
    Debug: typeof Debug;
};
export { Dropdown, Radio, Range, DoubleRange, Textbox, Toggle, Debug, Table, Point, vega, util };
export type { ViewSpec };
